# DESCRIBE

## Syntax

```sql
{DESCRIBE | DESC} tbl_name [col_name | wild]
```

## Description

`DESCRIBE` provides information about the columns in a table.It is a shortcut for [SHOW COLUMNS FROM](/docs/server/reference/sql-statements/administrative-sql-statements/show/show-columns.md).These statements also display information for [views](/docs/server/server-usage/views.md).

`col_name` can be a column name, or a string containing theSQL "`%`" and "`_`" wildcard characters toobtain output only for the columns with names matching the string. There is noneed to enclose the string within quotes unless it contains spaces or otherspecial characters.

```sql
DESCRIBE city;
+------------+----------+------+-----+---------+----------------+
| Field      | Type     | Null | Key | Default | Extra          |
+------------+----------+------+-----+---------+----------------+
| Id         | int(11)  | NO   | PRI | NULL    | auto_increment |
| Name       | char(35) | YES  |     | NULL    |                |
| Country    | char(3)  | NO   | UNI |         |                |
| District   | char(20) | YES  | MUL |         |                |
| Population | int(11)  | YES  |     | NULL    |                |
+------------+----------+------+-----+---------+----------------+
```

The description for [SHOW COLUMNS](/docs/server/reference/sql-statements/administrative-sql-statements/show/show-columns.md) providesmore information about the output columns.

## See Also

* [SHOW COLUMNS](/docs/server/reference/sql-statements/administrative-sql-statements/show/show-columns.md)
* [INFORMATION\_SCHEMA.COLUMNS Table](/docs/server/reference/system-tables/information-schema/information-schema-tables/information-schema-columns-table.md)
* [mysqlshow](/docs/server/clients-and-utilities/legacy-clients-and-utilities/mysqlshow.md)

<sub>*This page is licensed: GPLv2, originally from*</sub> [<sub>*fill\_help\_tables.sql*</sub>](https://github.com/MariaDB/server/blob/main/scripts/fill_help_tables.sql)

{% @marketo/form formId="4316" %}


---

# Agent Instructions: Querying This Documentation

If you need additional information that is not directly available in this page, you can query the documentation dynamically by asking a question.

Perform an HTTP GET request on the current page URL with the `ask` query parameter:

```
GET https://mariadb.com/docs/server/reference/sql-statements/administrative-sql-statements/describe.md?ask=<question>
```

The question should be specific, self-contained, and written in natural language.
The response will contain a direct answer to the question and relevant excerpts and sources from the documentation.

Use this mechanism when the answer is not explicitly present in the current page, you need clarification or additional context, or you want to retrieve related documentation sections.
